Subject: bug#6755: 24.0.50; Customize buffer is too wide. Put doc string on separate line.

From: Drew Adams <[email-masked]>
Date: Sun, 22 Sep 2019 09:09:52 -0700 (PDT)

> > The bug report just asks that the first line of a doc
> > string be put on its own line, and likewise for :tag
> > lines.
> 
> There's some kind of serious confusion in this bug report.  The text
> that is displayed to the right of the "Value Menu" button is not the
> doc string, it's the textual description of the current value.

Correct.  I guess there is no problem with the
doc-string display - my bad for mentioning doc
strings.

It's about :tag lines.  The screenshots and the
defcustom provided make that clear, I believe.

> Therefore, it makes no sense at all to start that text on a new line.

Why do you think that follows logically?  I don't.

This bug report / enhancement request is precisely to
put that text on its own line.  At least do so when
the text would go past the conventional limit (70 chars
or whatever) when placed after Customize constructs
(boilerplate text, buttons, etc.).

> I also don't see how filling of any kind can make the situation better
> when the textual description is too long.

This bug report does not ask for text filling, at all.
Please move consideration/discussion of filling to
a new bug report, if you're interested in that.

> Reading the discussions, I think they were mostly based on the above
> misunderstanding, 

No mention of filling is in the bug report.  That
misunderstanding apparently came out of the sky,
perhaps just based on mention of the buffer content
being too wide.

> so I think we should either close this bug, or maybe
> start discussing it anew, after forgetting everything that was said
> and suggested, because none of that makes sense to me.

It should not be closed.  And there is no reason to
forget "everything that was said".

You can certainly forget about filling, and I guess
you can forget about the doc string (my apologies for
mentioning the doc string).

The problem is :tag lines.  They should be moved to
their own line - at least when combining them with
widget artifacts makes the resulting displayed content
too wide.

It's reasonable for :tag text to be up to, say, 70
chars.  It's probably even reasonable for :tag text
to contain newlines - like a doc string.

It's not reasonable/helpful for :tag text to simply
be tacked onto the end of a line where Customize has
itself inserted lots of other stuff.